Вопрос по zend-framework2 – Zend Framework 2.0 не включает библиотечные функции amazon s3, которые были включены в 1.12?

5

Я не смог найти эквивалент этого

http://framework.zend.com/manual/1.12/en/zend.service.amazon.s3.html

В документации версии 2.0. Я также заметил, что минимальная версия 2.0 составляет 2,5 МБ, в то время как минимальная версия 1.12 составляет 8,7 МБ, а полная версия 1.12 составляет ~ 30 МБ.

Спасибо Бернард, это имеет смысл, так как я в основном использую только 2 сервисных компонента user784637
github.com/zendframework/zf2/pull/1941Вы можете скачать их отдельноgithub.com/zendframework b.b3rn4rd

Ваш Ответ

3   ответа
0

use Zend\Service\Amazon\S3\S3 в моем проекте, так как я использую Zend Framework 2, но он не работает!

Я не думаю, что он более доступен в Zend Framework 2.1. По-видимому, это было доступно в Zend Framework 2.0:http://framework.zend.com/issues/browse/ZF2-268 но вы можете использоватьZendServiceAmazon который, вероятно, сделает работу: http://framework.zend.com/manual/2.1/en/modules/zendservice.amazon.html

1

ых других сервисов AWS. Компоненты Zend \ Service удалены из хранилища сИюль 2012 и некоторые из них все еще поддерживаются в отдельных хранилищах.

Но хорошая новость заключается в том, что Amazon объявил о своихМодуль AWS-SDK для ZF2 в марте 2013 года. Также он имеетссылка на github, В настоящее время он находится на очень ранних стадиях и выглядит как дружественная оболочка ZF2 для амазонки.официальный PHP SDK, это многообещающе.

Для получения более подробной информации об этой ситуации,прочитайте RFC здесь.

0

http://framework.zend.com/downloads/composer

& quot; Начиная с Zend Framework 2, теперь вы можете установить Zend Framework или любой из его отдельных компонентов и их зависимостей, используя инструмент управления зависимостями Composer. Пакеты предоставляются нашим специальным хранилищем пакетов по адресуhttps://packages.zendframework.com/& Quot;

Похожие вопросы